# Time sensor (for use in templates and TTS)
  - platform: time_date
    display_options:
      - 'time'
      - 'date'
# Database size sensor
  - platform: sql
    db_url: !secret ha_recorder_dburl
    queries:
      - name: "Home Assistant Datenbankgröße"
        query: 'SELECT table_schema "database", Round(Sum(data_length + index_length) / 1048576, 2) "value" FROM information_schema.tables WHERE table_schema="homeassistant" GROUP BY table_schema;'
        column: 'value'
        unit_of_measurement: MB

# SNMP (Juniper) router traffic sensor
  - platform: snmp
    name: snmp_wan_in
    unique_id: '3303381540758'
    host: !secret router_ip
    community: !secret router_community
    baseoid: .1.3.6.1.2.1.31.1.1.1.6.511
    version: 2c
    unit_of_measurement: "Octets"
  - platform: snmp
    name: snmp_wan_out
    unique_id: '1573258703922'
    host: !secret router_ip
    community: !secret router_community
    baseoid: .1.3.6.1.2.1.31.1.1.1.10.511
    version: 2c
    unit_of_measurement: "Octets"

  - platform: derivative
    source: sensor.snmp_wan_in
    unit_time: s
    unit: B
    name: wan_in_derivative
  - platform: derivative
    source: sensor.snmp_wan_out
    unit_time: s
    unit: B
    name: wan_out_derivative

  - platform: statistics
    name: 'WAN Traffic In'
    unique_id: '9081721471264'
    state_characteristic: mean
    entity_id: sensor.internet_speed_in
    sampling_size: 10
  - platform: statistics
    name: 'WAN Traffic Out'
    unique_id: '8688955223027'
    state_characteristic: mean
    entity_id: sensor.internet_speed_out
    sampling_size: 10

  - platform: template
    sensors:
      sun_rising_template:
        friendly_name: "Sun Rising Template"
        unique_id: '0680294616247'
        value_template: "{{ as_timestamp(states.sun.sun.attributes.next_rising) | timestamp_custom ('%H:%M') }}"

  - platform: template
    sensors:
      sun_setting_template:
        friendly_name: "Sun Setting Template"
        unique_id: '8298170865533'
        value_template: "{{ as_timestamp(states.sun.sun.attributes.next_setting) | timestamp_custom ('%H:%M') }}"

  # Sensor for Riemann sum of energy import (W -> Wh)
  - platform: integration
    source: sensor.power_import
    name: energy_import_sum
    unique_id: '6355740355352'
    unit_prefix: k
    round: 2
    method: left

  # Sensor for Riemann sum of energy export (W -> Wh)
  - platform: integration
    source: sensor.power_export
    name: energy_export_sum
    unique_id: '6978829126367'
    unit_prefix: k
    round: 2
    method: left

  # Sensor for Riemann sum of energy consumption (W -> Wh)
  - platform: integration
    source: sensor.power_consumption
    name: energy_consumption_sum
    unique_id: '8749045190416'
    unit_prefix: k
    round: 2
    method: left
